﻿$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://www.masterpackager.com/installer/standard/masterpackager_20.4.7622.0.msi'
$packageName = 'masterpackager'
$chocolateyPackageVersion = '20.4.7622.0'

$packageArgs = @{
  packageName   = $packageName
  chocolateyPackageVersion = $chocolateyPackageVersion
  fileType      = 'MSI'
  url           = $url
  checksum      = '81a9a03487b57a19f0d5734584fe91ad1587d685645c9d348407bfe62b588c05'
  checksumType	= 'sha256'
  softwareName  = 'MasterPackager*'
  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs